Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCellData Class Reference

`#include <vtkCellData.h>`

Inheritance diagram for vtkCellData:

[legend]
Collaboration diagram for vtkCellData:

[legend]
List of all members.

## Detailed Description

represent and manipulate cell attribute data

Date:
  2002/01/22 15:25:13

Revision:
  1.18

vtkCellData is a class that is used to represent and manipulate cell attribute data (e.g., scalars, vectors, normals, texture coordinates, etc.) Special methods are provided to work with filter objects, such as passing data through filter, copying data from one cell to another, and interpolating data given cell interpolation weights.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (79%)
  - Geveci, Berk (12%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkCellData.cxx)`
  - .`h` (`/Common/vtkCellData.h)`

Tests:
  vtkCellData (Tests)

Definition at line 48 of file vtkCellData.h.

## Public Types
typedef vtkDataSetAttributes | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkCellData * | New ()
int | IsTypeOf (const char *type)
vtkCellData * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCellData ()
| ~vtkCellData ()

## Member Typedef Documentation

typedef vtkDataSetAttributes vtkCellData::Superclass

| Reimplemented from vtkDataSetAttributes. Definition at line 53 of file vtkCellData.h.

## Constructor & Destructor Documentation

vtkCellData::vtkCellData | ( |  | ) | `[inline, protected]`

| Definition at line 57 of file vtkCellData.h.

vtkCellData::~vtkCellData | ( |  | ) | `[inline, protected]`

| Definition at line 58 of file vtkCellData.h.

## Member Function Documentation

vtkCellData* vtkCellData::New | ( |  | ) | `[static]`

| Construct object with copying turned on for all data. Reimplemented from vtkDataSetAttributes.

virtual const char* vtkCellData::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetAttributes.

int vtkCellData::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetAttributes.

virtual int vtkCellData::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetAttributes.

vtkCellData* vtkCellData::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetAttributes.

void vtkCellData::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetAttributes.

The documentation for this class was generated from the following file:

- Common/vtkCellData.h